[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] epdf doesn't build



On Thu, 16 Feb 2006, Hawkwind <Cliff Wade> wrote:

> I have followed the directions in the epdf README file exactly by
>checking out poppler and compiling it both ways as mentioned,

both ways ? There's only one :

./configure --enable-xpdf-headers

you can add --prefix=/other/prefix to install it somewhere else to the
default directory set by autoconf.

then make and make install

Where did you install poppler ?

Vincent

> and yet
>epdf still fails with the below message:


checking pkg-config is at least version 0.9.0... yes
checking for POPPLER... ERROR:
The poppler.pc development file was not found in your pkg-config
path. This may mean one of several things
1. You may not have installed the CVS version of poppler (current
   0.5 version).
2. You may not have installed the poppler-devel (or poppler-dev)
   packages.
3. You may have evas installed somewhere not covered by your path.

If this is the case make sure you have the packages installed, AND
that the poppler.pc file is in your pkg-config path (see your
shell's manual page on setting the $PKG_CONFIG_PATH environment variable).
configure: error: Fatal Error: no popppler library detected.

>Not sure what else to do since the directions were followed exactly as
>the author's README file states.